#!/bin/sh
#------------------------------------------------------------------------------
# main_Faxe.cgi - display received faxes
#
# Creation:     17.02.2001  mh
# Last Update:  09.05.2001  mh
#
#------------------------------------------------------------------------------

. /etc/rc.cfg

RTIME=10

if [ "$QUERY_STRING" = "" ] ; then

    echo "Content-Type: text/html; charset=iso-8859-1"
    echo "Cache-control: no-store"   # HTTP/1.1 (or no-cache?)
    echo "Pragma: no-cache"          # HTTP/1.0
    echo "Expires: `/bin/date -Ru`"  # Expires now!
    echo "Refresh: $RTIME"
    echo
    echo "<html><body><center><h3>Empfangene Faxe</h3>"

    if [ -f $MGETTY_FAXDIR/mfax.log ] ; then

        echo "<table border><tr><th>Datum</th><th>Zeit</th><th>Fax-ID</th>
          <th>Seiten</th><th>Fax-Datei</th></tr>"

        while read d z i p f
        do
            echo "<tr><td>$d</td><td>$z</td><td>$i</td>
              <td>$p</td><td><a href=\"$0?$f\">$f</a></td></tr>"
        done < $MGETTY_FAXDIR/mfax.log

        echo "</tr></table><p><a href=\"$0?DEL\">Alle Lschen</a>"

    else
        echo "<br><br><b>Habe keine Faxe vorliegen.<b>"
    fi

    echo "</center></body></html>"

elif [ "$QUERY_STRING" = "DEL" ] ; then

    /bin/rm $MGETTY_FAXDIR/*
    echo "Location: $0"
    echo

else

    FAX=$QUERY_STRING
    echo "Content-Type: image/x-portable-bitmap"
    echo "Content-Disposition: attachment; filename=$FAX"
    echo
    /usr/local/bin/gzip -cd $MGETTY_FAXDIR/$FAX.gz

fi
